<?php declare(strict_types=1);

namespace Lewisdale\Webmentions\Gateways;

use Lewisdale\Webmentions\Models\Webmention;

abstract class WebmentionGatewayInterface {
    abstract protected function up() : void;
    abstract public function getByPost(string $post) : array;
    abstract public function save(Webmention $webmention) : ?int;
    abstract public function delete(Webmention $webmention) : void;
    abstract public function get(int $id) : ?Webmention;
}

?>